aboutsummaryrefslogtreecommitdiffstats
path: root/main/libxcursor/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/libxcursor/APKBUILD
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/libxcursor/APKBUILD')
-rw-r--r--main/libxcursor/APKBUILD26
1 files changed, 26 insertions, 0 deletions
diff --git a/main/libxcursor/APKBUILD b/main/libxcursor/APKBUILD
new file mode 100644
index 0000000000..bc9e33d4c3
--- /dev/null
+++ b/main/libxcursor/APKBUILD
@@ -0,0 +1,26 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libxcursor
+pkgver=1.1.10
+pkgrel=1
+pkgdesc="X cursor management library"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends=
+makedepends="pkgconfig libxfixes-dev libx11-dev libxrender-dev"
+source="http://xorg.freedesktop.org/releases/individual/lib/libXcursor-$pkgver.tar.bz2"
+
+depends_dev="xproto libx11-dev libxrender-dev libxfixes-dev"
+build() {
+ cd "$srcdir"/libXcursor-$pkgver
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$srcdir"/libXcursor-$pkgver
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="7dcdad1c10daea872cb3355af414b2ca libXcursor-1.1.10.tar.bz2"